%define upstream_name    MooseX-Has-Sugar
%define upstream_version 1.000006

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Experimental sweetness
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Sub::Exporter::Progressive)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(lib)
BuildRequires: perl(namespace::clean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 1.0.6-4.mga9
+ Revision: 1809818
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.0.6-3.mga8
+ Revision: 1505377
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1.0.6-2.mga7
+ Revision: 1285077
- Mageia 7 Mass Rebuild

* Sat Jul 22 2017 shlomif <shlomif> 1.0.6-1.mga7
+ Revision: 1128816
- update to 1.000006

* Sun Jun 19 2016 pterjan <pterjan> 1.0.4-7.mga6
+ Revision: 1030391
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.0.4-6.mga6
+ Revision: 949254
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 1.0.4-5.mga5
+ Revision: 789279
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.0.4-4.mga5
+ Revision: 747033
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 1.0.4-3.mga5
+ Revision: 735788
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.0.4-2.mga5
+ Revision: 685537
- Mageia 5 Mass Rebuild

* Sat Aug 16 2014 sander85 <sander85> 1.0.4-1.mga5
+ Revision: 664174
- update to 1.000004

* Fri Aug 08 2014 sander85 <sander85> 1.0.3-1.mga5
+ Revision: 661002
- update to 1.000003

* Mon Jul 21 2014 sander85 <sander85> 1.0.2-1.mga5
+ Revision: 655056
- update to 1.000002

* Tue Jun 10 2014 sander85 <sander85> 1.0.1-1.mga5
+ Revision: 635468
- update to 1.000001

* Mon Feb 17 2014 jquelin <jquelin> 1.0.0-1.mga5
+ Revision: 593595
- update to 1.000000

* Fri Oct 18 2013 umeabot <umeabot> 0.50.704.210-3.mga4
+ Revision: 513118
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.50.704.210-2.mga3
+ Revision: 370185
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 17 2012 jquelin <jquelin> 0.50.704.210-1.mga3
+ Revision: 295014
- update to 0.05070421

* Thu Feb 23 2012 jquelin <jquelin> 0.50.704.200-1.mga2
+ Revision: 213046
- update to 0.05070420

* Thu Apr 07 2011 jquelin <jquelin> 0.50.704.190-1.mga1
+ Revision: 81812
- update to 0.05070419

* Tue Jan 25 2011 jquelin <jquelin> 0.50.556.160-1.mga1
+ Revision: 38601
- mageia rebuild
- imported package perl-MooseX-Has-Sugar

